Name:           nucleo
Version:        0.5
Release:        7%{?dist}
Summary:        Toolkit for exploring new uses of video
Group:          Development/Tools
License:        LGPL
URL:            http://insitu.lri.fr/~roussel/projects/nucleo
Source0:        http://insitu.lri.fr/~chapuis/software/metisse/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-gcc.patch
Patch1:         %{name}-%{version}-64bit.patch
BuildRequires:  libGL-devel libGLU-devel
BuildRequires:  libjpeg-devel libpng-devel libexif-devel freetype-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if "%fedora" > "4"
BuildRequires:  libXt-devel
%else
BuildRequires:  xorg-x11-devel
%endif

%description
Nucleo is a toolkit for exploring new uses of video and new human-computer
interaction techniques.

%package devel
Summary:        Files necessary for developing with %{name}
Group:          Development/Libraries
Requires:       pkgconfig
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains files required to build applications that make
use of nucleo.

%prep
%setup -q
%patch0 -p0 -b .gcc
%patch1 -p0 -b .64bit

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LESSER LICENSE NEWS README
%{_bindir}/nBundle
%{_bindir}/nTest
%{_bindir}/videoClient
%{_bindir}/videoServer
%{_libdir}/libNucleo.so.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/libNucleo.so
%{_libdir}/pkgconfig/%{name}.pc
%exclude %{_libdir}/*.la

%changelog
* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 0.5-7
- Remove %%makeinstall macro

* Fri Jun 09 2006 Christopher Stone <chris.stone@gmail.com> 0.5-6
- devel subpackage now Requires pkgconfig
- Remove %%{name} from devel description

* Sat Jun 03 2006 Christohper Stone <chris.stone@gmail.com> 0.5-5
- Make spec file compatible with FC4

* Sat Jun 03 2006 Christopher Stone <chris.stone@gmail.com> 0.5-4
- Add libX11 and libXt to BuildRequires

* Thu Jun 01 2006 Christopher Stone <chris.stone@gmail.com> 0.5-3
- Remove INSTALL from %%doc

* Sun May 21 2006 Christopher Stone <chris.stone@gmail.com> 0.5-2
- Add optional BuildRequires

* Sat May 20 2006 Christopher Stone <chris.stone@gmail.com> 0.5-1
- Initial RPM release
